<ion-header>
    <ion-toolbar>
        <ion-title>login</ion-title>
    </ion-toolbar>
</ion-header>

<ion-content>

    <ion-grid class="ion-padding">
        <ion-row>
            <ion-col size="12">
                <h3> Welcome back to Hero Hub!</h3>
            </ion-col>
        </ion-row>
        <br>
        <ion-row>
            <ion-col size="12">
                <form [formGroup]="form">
                    <ion-item>
                        <ion-label>
                            <ion-icon color="primary" name="mail-outline"></ion-icon>
                        </ion-label>
                        <ion-input formControlName="email" placeholder="Email" type="text"></ion-input>
                    </ion-item>
                    <div *ngFor="let error of errorMessages.email">
                        <ng-container *ngIf="email.hasError(error.type) && (email.dirty || email.touched)">
                            <small>{{error.message}}</small>
                        </ng-container>
                    </div>
                    <br>

                    <ion-item>
                        <ion-label>
                            <ion-icon color="primary" name="lock-closed-outline"></ion-icon>
                        </ion-label>
                        <ion-input formControlName="password" placeholder="Password" type="password"></ion-input>
                    </ion-item>
                    <div *ngFor="let error of errorMessages.password">
                        <ng-container *ngIf="password.hasError(error.type) && (password.dirty || password.touched)">
                            <small>{{error.message}}</small>
                        </ng-container>
                    </div>

                    <br>
                    <ion-button expand="block" mode="ios" type="submit" [disabled]="!form.valid" (click)="login()"> Login</ion-button>
                    <ion-button expand="block" routerLink="/register" routerDirection="forward" routerLinkActive="router-link-active" fill="outline" mode="ios">Register</ion-button>

                </form>
            </ion-col>
        </ion-row>
    </ion-grid>
</ion-content>